2019-06-25 03:20 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002207NetSurf[All Projects] Generalpublic2015-03-10 23:44
ReporterRik Griffin 
Assigned ToVincent Sanders 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformIyonixOSRISC OSOS Version5.20
Product Version3.2 
Target VersionFixed in Version3.3 
Summary0002207: SVG files don't render, infinite hourglass
DescriptionAttached is an SVG file that causes the RISC OS version of NetSurf 3.3 (build 2190) to endlessly hourglass until ALT-BREAK is pressed. The SVG file was automatically generated using the "ezcomponents" library, and renders as expected on Firefox and Chrome.
Steps To ReproduceDrag the attached file to NetSurf.
TagsNo tags attached.
Fixed in CI build #2196
Reported in CI build #2190
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0000509

Vincent Sanders (administrator)

this is a bug in libsvgtiny transform handling
Christian Lepper

~0000510

Christian Lepper (reporter)

just reproduced same behaviour on arm with nsfb.
Vincent Sanders

~0000513

Vincent Sanders (administrator)

fixed libsvgtiny transform parsing of spaces
Vincent Sanders

~0000759

Vincent Sanders (administrator)

Confirmed fixed in 3.3 release
+Notes

-Issue History
Date Modified Username Field Change
2014-10-21 16:15 Rik Griffin New Issue
2014-10-21 16:15 Rik Griffin File Added: range.svg
2014-10-21 19:50 Vincent Sanders Status new => acknowledged
2014-10-21 22:13 Vincent Sanders Note Added: 0000509
2014-10-21 22:13 Vincent Sanders Assigned To => Vincent Sanders
2014-10-21 22:13 Vincent Sanders Status acknowledged => confirmed
2014-10-21 22:13 Vincent Sanders Category RISC OS-specific => General
2014-10-23 14:05 Christian Lepper Note Added: 0000510
2014-10-23 22:47 Vincent Sanders Fixed in CI build # => 2196
2014-10-23 22:47 Vincent Sanders Note Added: 0000513
2014-10-23 22:47 Vincent Sanders Status confirmed => resolved
2014-10-23 22:47 Vincent Sanders Resolution open => fixed
2014-10-23 22:47 Vincent Sanders Fixed in Version => 3.3
2015-03-10 23:44 Vincent Sanders Note Added: 0000759
2015-03-10 23:44 Vincent Sanders Status resolved => closed
+Issue History